FROM debian:bullseye-slim as builder

# Install required packages
RUN apt-get update -q \
    && DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
    autoconf \
    ca-certificates \
    clang \
    git \
    make \
    gcc \
    g++ \
    curl \
    openssh-client \
    zlib1g-dev \
    libclang-dev \
    libssl-dev \
    libreadline-dev \
    libcurl4-openssl-dev \
    libexpat1-dev \
    llvm-dev \
    gettext \
    libssl-dev \
    libc6-dev \
    apt-transport-https \
    gnupg2 \
    software-properties-common \
    jq \
    skopeo \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

<%= Snippets.new(include: %w[versions docker rust ruby tmpclean yq release-cli]).populate %>

FROM debian:bullseye-slim
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
